| gclib 2.4.1 Galil Communications Library

Loading...
Searching...
No Matches
Public Attributes | List of all members
GDataRecord1802 Struct Reference

`#include <gclib_record.h>`

## Public Attributes
UW | sample_number
| sample number.
UB | input_bank_0
| general input bank 0 (inputs 1-8).
UB | input_bank_1
| general input bank 1 (inputs 9-16).
UB | input_bank_2
| general input bank 2 (inputs 17-24).
UB | input_bank_3
| general input bank 3 (inputs 25-32).
UB | input_bank_4
| general input bank 4 (inputs 33-40).
UB | input_bank_5
| general input bank 5 (inputs 41-48).
UB | input_bank_6
| general input bank 6 (inputs 49-56).
UB | input_bank_7
| general input bank 7 (inputs 57-64).
UB | input_bank_8
| general input bank 8 (inputs 65-72).
UB | input_bank_9
| general input bank 9 (inputs 73-80).
UB | output_bank_0
| general output bank 0 (outputs 1-8).
UB | output_bank_1
| general output bank 1 (outputs 9-16).
UB | output_bank_2
| general output bank 2 (outputs 17-24).
UB | output_bank_3
| general output bank 3 (outputs 25-32).
UB | output_bank_4
| general output bank 4 (outputs 33-40).
UB | output_bank_5
| general output bank 5 (outputs 41-48).
UB | output_bank_6
| general output bank 6 (outputs 49-56).
UB | output_bank_7
| general output bank 7 (outputs 57-64).
UB | output_bank_8
| general output bank 8 (outputs 65-72).
UB | output_bank_9
| general output bank 9 (outputs 73-80).
UB | error_code
| error code.
UB | general_status
| general status
UW | s_plane_segment_count
| segment count of coordinated move for S plane.
UW | s_plane_move_status
| coordinated move status for S plane.
SL | s_distance
| distance traveled in coordinated move for S plane.
UW | t_plane_segment_count
| segment count of coordinated move for T plane.
UW | t_plane_move_status
| Coordinated move status for T plane.
SL | t_distance
| distance traveled in coordinated move for T plane.
UW | axis_a_status
| A axis status.
UB | axis_a_switches
| A axis switches.
UB | axis_a_stop_code
| A axis stop code.
SL | axis_a_reference_position
| A axis reference position.
SL | axis_a_motor_position
| A axis motor position.
SL | axis_a_position_error
| A axis position error.
SL | axis_a_aux_position
| A axis auxiliary position.
SL | axis_a_velocity
| A axis velocity.
SW | axis_a_torque
| A axis torque.
UB | axis_a_reserved_0
| Reserved.
UB | axis_a_reserved_1
| Reserved.
UW | axis_b_status
| B axis status.
UB | axis_b_switches
| B axis switches.
UB | axis_b_stop_code
| B axis stop code.
SL | axis_b_reference_position
| B axis reference position.
SL | axis_b_motor_position
| B axis motor position.
SL | axis_b_position_error
| B axis position error.
SL | axis_b_aux_position
| B axis auxiliary position.
SL | axis_b_velocity
| B axis velocity.
SW | axis_b_torque
| B axis torque.
UB | axis_b_reserved_0
| Reserved.
UB | axis_b_reserved_1
| Reserved.
UW | axis_c_status
| C axis status.
UB | axis_c_switches
| C axis switches.
UB | axis_c_stop_code
| C axis stop code.
SL | axis_c_reference_position
| C axis reference position.
SL | axis_c_motor_position
| C axis motor position.
SL | axis_c_position_error
| C axis position error.
SL | axis_c_aux_position
| C axis auxiliary position.
SL | axis_c_velocity
| C axis velocity.
SW | axis_c_torque
| C axis torque.
UB | axis_c_reserved_0
| Reserved.
UB | axis_c_reserved_1
| Reserved.
UW | axis_d_status
| D axis status.
UB | axis_d_switches
| D axis switches.
UB | axis_d_stop_code
| D axis stop code.
SL | axis_d_reference_position
| D axis reference position.
SL | axis_d_motor_position
| D axis motor position.
SL | axis_d_position_error
| D axis position error.
SL | axis_d_aux_position
| D axis auxiliary position.
SL | axis_d_velocity
| D axis velocity.
SW | axis_d_torque
| D axis torque.
UB | axis_d_reserved_0
| Reserved.
UB | axis_d_reserved_1
| Reserved.

## Detailed Description

Data record struct for DMC-1802 controllers.

The 18x2 Data record is the Same as 2103 except the following.

1. No header bytes. Software removes it from QR.
2. No analog in axis data.

Definition at line 723 of file gclib_record.h.

## Member Data Documentation

## ◆ sample_number

UW GDataRecord1802::sample_number

sample number.

Definition at line 728 of file gclib_record.h.

## ◆ input_bank_0

UB GDataRecord1802::input_bank_0

general input bank 0 (inputs 1-8).

Definition at line 730 of file gclib_record.h.

## ◆ input_bank_1

UB GDataRecord1802::input_bank_1

general input bank 1 (inputs 9-16).

Definition at line 731 of file gclib_record.h.

## ◆ input_bank_2

UB GDataRecord1802::input_bank_2

general input bank 2 (inputs 17-24).

Definition at line 732 of file gclib_record.h.

## ◆ input_bank_3

UB GDataRecord1802::input_bank_3

general input bank 3 (inputs 25-32).

Definition at line 733 of file gclib_record.h.

## ◆ input_bank_4

UB GDataRecord1802::input_bank_4

general input bank 4 (inputs 33-40).

Definition at line 734 of file gclib_record.h.

## ◆ input_bank_5

UB GDataRecord1802::input_bank_5

general input bank 5 (inputs 41-48).

Definition at line 735 of file gclib_record.h.

## ◆ input_bank_6

UB GDataRecord1802::input_bank_6

general input bank 6 (inputs 49-56).

Definition at line 736 of file gclib_record.h.

## ◆ input_bank_7

UB GDataRecord1802::input_bank_7

general input bank 7 (inputs 57-64).

Definition at line 737 of file gclib_record.h.

## ◆ input_bank_8

UB GDataRecord1802::input_bank_8

general input bank 8 (inputs 65-72).

Definition at line 738 of file gclib_record.h.

## ◆ input_bank_9

UB GDataRecord1802::input_bank_9

general input bank 9 (inputs 73-80).

Definition at line 739 of file gclib_record.h.

## ◆ output_bank_0

UB GDataRecord1802::output_bank_0

general output bank 0 (outputs 1-8).

Definition at line 741 of file gclib_record.h.

## ◆ output_bank_1

UB GDataRecord1802::output_bank_1

general output bank 1 (outputs 9-16).

Definition at line 742 of file gclib_record.h.

## ◆ output_bank_2

UB GDataRecord1802::output_bank_2

general output bank 2 (outputs 17-24).

Definition at line 743 of file gclib_record.h.

## ◆ output_bank_3

UB GDataRecord1802::output_bank_3

general output bank 3 (outputs 25-32).

Definition at line 744 of file gclib_record.h.

## ◆ output_bank_4

UB GDataRecord1802::output_bank_4

general output bank 4 (outputs 33-40).

Definition at line 745 of file gclib_record.h.

## ◆ output_bank_5

UB GDataRecord1802::output_bank_5

general output bank 5 (outputs 41-48).

Definition at line 746 of file gclib_record.h.

## ◆ output_bank_6

UB GDataRecord1802::output_bank_6

general output bank 6 (outputs 49-56).

Definition at line 747 of file gclib_record.h.

## ◆ output_bank_7

UB GDataRecord1802::output_bank_7

general output bank 7 (outputs 57-64).

Definition at line 748 of file gclib_record.h.

## ◆ output_bank_8

UB GDataRecord1802::output_bank_8

general output bank 8 (outputs 65-72).

Definition at line 749 of file gclib_record.h.

## ◆ output_bank_9

UB GDataRecord1802::output_bank_9

general output bank 9 (outputs 73-80).

Definition at line 750 of file gclib_record.h.

## ◆ error_code

UB GDataRecord1802::error_code

error code.

Definition at line 752 of file gclib_record.h.

## ◆ general_status

UB GDataRecord1802::general_status

general status

Definition at line 753 of file gclib_record.h.

## ◆ s_plane_segment_count

UW GDataRecord1802::s_plane_segment_count

segment count of coordinated move for S plane.

Definition at line 755 of file gclib_record.h.

## ◆ s_plane_move_status

UW GDataRecord1802::s_plane_move_status

coordinated move status for S plane.

Definition at line 756 of file gclib_record.h.

## ◆ s_distance

SL GDataRecord1802::s_distance

distance traveled in coordinated move for S plane.

Definition at line 757 of file gclib_record.h.

## ◆ t_plane_segment_count

UW GDataRecord1802::t_plane_segment_count

segment count of coordinated move for T plane.

Definition at line 759 of file gclib_record.h.

## ◆ t_plane_move_status

UW GDataRecord1802::t_plane_move_status

Coordinated move status for T plane.

Definition at line 760 of file gclib_record.h.

## ◆ t_distance

SL GDataRecord1802::t_distance

distance traveled in coordinated move for T plane.

Definition at line 761 of file gclib_record.h.

## ◆ axis_a_status

UW GDataRecord1802::axis_a_status

A axis status.

Definition at line 763 of file gclib_record.h.

## ◆ axis_a_switches

UB GDataRecord1802::axis_a_switches

A axis switches.

Definition at line 764 of file gclib_record.h.

## ◆ axis_a_stop_code

UB GDataRecord1802::axis_a_stop_code

A axis stop code.

Definition at line 765 of file gclib_record.h.

## ◆ axis_a_reference_position

SL GDataRecord1802::axis_a_reference_position

A axis reference position.

Definition at line 766 of file gclib_record.h.

## ◆ axis_a_motor_position

SL GDataRecord1802::axis_a_motor_position

A axis motor position.

Definition at line 767 of file gclib_record.h.

## ◆ axis_a_position_error

SL GDataRecord1802::axis_a_position_error

A axis position error.

Definition at line 768 of file gclib_record.h.

## ◆ axis_a_aux_position

SL GDataRecord1802::axis_a_aux_position

A axis auxiliary position.

Definition at line 769 of file gclib_record.h.

## ◆ axis_a_velocity

SL GDataRecord1802::axis_a_velocity

A axis velocity.

Definition at line 770 of file gclib_record.h.

## ◆ axis_a_torque

SW GDataRecord1802::axis_a_torque

A axis torque.

Definition at line 771 of file gclib_record.h.

## ◆ axis_a_reserved_0

UB GDataRecord1802::axis_a_reserved_0

Reserved.

Definition at line 772 of file gclib_record.h.

## ◆ axis_a_reserved_1

UB GDataRecord1802::axis_a_reserved_1

Reserved.

Definition at line 773 of file gclib_record.h.

## ◆ axis_b_status

UW GDataRecord1802::axis_b_status

B axis status.

Definition at line 775 of file gclib_record.h.

## ◆ axis_b_switches

UB GDataRecord1802::axis_b_switches

B axis switches.

Definition at line 776 of file gclib_record.h.

## ◆ axis_b_stop_code

UB GDataRecord1802::axis_b_stop_code

B axis stop code.

Definition at line 777 of file gclib_record.h.

## ◆ axis_b_reference_position

SL GDataRecord1802::axis_b_reference_position

B axis reference position.

Definition at line 778 of file gclib_record.h.

## ◆ axis_b_motor_position

SL GDataRecord1802::axis_b_motor_position

B axis motor position.

Definition at line 779 of file gclib_record.h.

## ◆ axis_b_position_error

SL GDataRecord1802::axis_b_position_error

B axis position error.

Definition at line 780 of file gclib_record.h.

## ◆ axis_b_aux_position

SL GDataRecord1802::axis_b_aux_position

B axis auxiliary position.

Definition at line 781 of file gclib_record.h.

## ◆ axis_b_velocity

SL GDataRecord1802::axis_b_velocity

B axis velocity.

Definition at line 782 of file gclib_record.h.

## ◆ axis_b_torque

SW GDataRecord1802::axis_b_torque

B axis torque.

Definition at line 783 of file gclib_record.h.

## ◆ axis_b_reserved_0

UB GDataRecord1802::axis_b_reserved_0

Reserved.

Definition at line 784 of file gclib_record.h.

## ◆ axis_b_reserved_1

UB GDataRecord1802::axis_b_reserved_1

Reserved.

Definition at line 785 of file gclib_record.h.

## ◆ axis_c_status

UW GDataRecord1802::axis_c_status

C axis status.

Definition at line 787 of file gclib_record.h.

## ◆ axis_c_switches

UB GDataRecord1802::axis_c_switches

C axis switches.

Definition at line 788 of file gclib_record.h.

## ◆ axis_c_stop_code

UB GDataRecord1802::axis_c_stop_code

C axis stop code.

Definition at line 789 of file gclib_record.h.

## ◆ axis_c_reference_position

SL GDataRecord1802::axis_c_reference_position

C axis reference position.

Definition at line 790 of file gclib_record.h.

## ◆ axis_c_motor_position

SL GDataRecord1802::axis_c_motor_position

C axis motor position.

Definition at line 791 of file gclib_record.h.

## ◆ axis_c_position_error

SL GDataRecord1802::axis_c_position_error

C axis position error.

Definition at line 792 of file gclib_record.h.

## ◆ axis_c_aux_position

SL GDataRecord1802::axis_c_aux_position

C axis auxiliary position.

Definition at line 793 of file gclib_record.h.

## ◆ axis_c_velocity

SL GDataRecord1802::axis_c_velocity

C axis velocity.

Definition at line 794 of file gclib_record.h.

## ◆ axis_c_torque

SW GDataRecord1802::axis_c_torque

C axis torque.

Definition at line 795 of file gclib_record.h.

## ◆ axis_c_reserved_0

UB GDataRecord1802::axis_c_reserved_0

Reserved.

Definition at line 796 of file gclib_record.h.

## ◆ axis_c_reserved_1

UB GDataRecord1802::axis_c_reserved_1

Reserved.

Definition at line 797 of file gclib_record.h.

## ◆ axis_d_status

UW GDataRecord1802::axis_d_status

D axis status.

Definition at line 799 of file gclib_record.h.

## ◆ axis_d_switches

UB GDataRecord1802::axis_d_switches

D axis switches.

Definition at line 800 of file gclib_record.h.

## ◆ axis_d_stop_code

UB GDataRecord1802::axis_d_stop_code

D axis stop code.

Definition at line 801 of file gclib_record.h.

## ◆ axis_d_reference_position

SL GDataRecord1802::axis_d_reference_position

D axis reference position.

Definition at line 802 of file gclib_record.h.

## ◆ axis_d_motor_position

SL GDataRecord1802::axis_d_motor_position

D axis motor position.

Definition at line 803 of file gclib_record.h.

## ◆ axis_d_position_error

SL GDataRecord1802::axis_d_position_error

D axis position error.

Definition at line 804 of file gclib_record.h.

## ◆ axis_d_aux_position

SL GDataRecord1802::axis_d_aux_position

D axis auxiliary position.

Definition at line 805 of file gclib_record.h.

## ◆ axis_d_velocity

SL GDataRecord1802::axis_d_velocity

D axis velocity.

Definition at line 806 of file gclib_record.h.

## ◆ axis_d_torque

SW GDataRecord1802::axis_d_torque

D axis torque.

Definition at line 807 of file gclib_record.h.

## ◆ axis_d_reserved_0

UB GDataRecord1802::axis_d_reserved_0

Reserved.

Definition at line 808 of file gclib_record.h.

## ◆ axis_d_reserved_1

UB GDataRecord1802::axis_d_reserved_1

Reserved.

Definition at line 809 of file gclib_record.h.

The documentation for this struct was generated from the following file:

- gclib_record.h